# inspired from fedora spec file
# Copyright (c) 2013-2016 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# http://opensource.org/licenses/MIT

%define github_name     log
%define composer_name   log
%define composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:      php-%{composer_vendor}-%{composer_name}
Version:   1.0.2
Release:   %mkrel 1
Summary:   Common interface for logging libraries

Group:     Development/PHP
License:   MIT
URL:       http://www.php-fig.org/psr/psr-3/
Source0:   https://github.com/php-fig/log/archive/%{github_name}-%{version}.tar.gz

BuildArch: noarch

Requires:  php >= 5.3.0
# Autoloader
Requires:  php-composer(fedora/autoloader)

# Composer
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
This package holds all interfaces/classes/traits related to PSR-3 [1].

Note that this is not a logger of its own. It is merely an interface that
describes a logger. See the specification for more details.

[1] http://www.php-fig.org/psr/psr-3/


%prep
%setup -qn %{github_name}-%{version}

: Create autoloader
cat <<'AUTOLOAD' | tee Psr/Log/autoload.php
<?php
/**
 * Autoloader for %{name} and its' dependencies
 * (created by %{name}-%{version}-%{release}).
 *
 * @return \Symfony\Component\ClassLoader\ClassLoader
 */

if (!class_exists('Fedora\\Autoloader\\Autoload', false)) {
    require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';
}

\Fedora\Autoloader\Autoload::addPsr4('Psr\\Log\\', __DIR__);
AUTOLOAD

%build

%install
mkdir -p %{buildroot}%{php_libdir}
cp -rp Psr %{buildroot}%{php_libdir}

%files
%doc LICENSE
%doc README.md
%doc composer.json
%dir %{_datadir}/php/Psr
 %{_datadir}/php/Psr/Log


%changelog
* Wed Apr 19 2017 guillomovitch <guillomovitch> 1.0.2-1.mga6
+ Revision: 1096860
- imported package php-psr-log

